Не удается найти зависимость maven для API Google для использования карт

Я пытаюсь использовать maven для управления моими зависимостями и процессом сборки. У меня возникла проблема найти зависимость API Google или зависимость от карт. Это отлично работает (без карт api):

<dependency> <groupId>com.google.android</groupId> <artifactId>android</artifactId> <version>4.0.1.2</version> <scope>provided</scope> </dependency> 

AFAIK, файлы jar карты недоступны в любом онлайн-хранилище maven на данный момент.

Или используйте Android SDK Manager, загрузите требуемый файл карты карты, затем вручную установите его в локальный репозиторий maven:

 mvn install:install-file -Dfile=your-artifact-1.0.jar \ [-DgroupId=org.some.group] \ [-DartifactId=your-artifact] \ [-Dversion=1.0] \ [-Dpackaging=jar] 

Или используйте manfred maven-android-sdk-deployer, чтобы установить все файлы jar Android SDK в локальный репозиторий maven.

Затем вы можете начать использовать его в pom.xml:

 <dependency> <groupId>com.google.android.maps</groupId> <artifactId>maps</artifactId> <version>4_r2</version> <scope>provided</scope> </dependency> при <dependency> <groupId>com.google.android.maps</groupId> <artifactId>maps</artifactId> <version>4_r2</version> <scope>provided</scope> </dependency> , <dependency> <groupId>com.google.android.maps</groupId> <artifactId>maps</artifactId> <version>4_r2</version> <scope>provided</scope> </dependency> 

Вы также можете использовать этот проект, который установит jQuery google в локальный репозиторий maven: https://github.com/mosabua/maven-android-sdk-deployer

Чтобы установить банки для версии 4.0.3, вам просто нужно ввести:

 mvn install -P 4.0.3